%define upstream_name       Apache2-Filter-HTTPHeadersFixup
%define upstream_version    0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Manipulate Apache 2 HTTP Headers
License:	GPL+ or Artistic
Group:		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	apache-mod_perl
BuildRequires:  apache-mod_perl-devel
BuildRequires:	perl(Apache::Test) >= 1.25

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
Apache2::Filter::HTTPHeadersFixup is a super class which provides an
easy way to manipulate HTTP headers without invoking any mod_perl HTTP
handlers. This is accomplished by using input and/or output connection
filters.

It supports KeepAlive connections.

This class cannot be used as is. It has to be sub-classed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Apache2/Filter/HTTPHeadersFixup.pm
%{_mandir}/*/*


%changelog
* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-1mdv2011.0
+ Revision: 504486
- tighten spec file

* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.60.0-1mdv2010.0
+ Revision: 419927
- new perl version macro

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.06-6mdv2009.0
+ Revision: 255270
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.06-4mdv2008.1
+ Revision: 136657
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.06-4mdv2008.0
+ Revision: 25444
- rebuild


* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.06-3mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.06-2mdk
- Buildrequires fix

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.06-1mdk
- initial Mandriva package

